For the complete documentation index, see llms.txt. This page is also available as Markdown.

Repositories

ListRepositories gets a list of all configured repositories

get

ListRepositories gets a list of all configured repositories.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

identifierstringOptional
query.repostringOptional

Repo URL for query.

query.forceRefreshbooleanOptional

Whether to force a cache refresh on repo's connection state.

query.projectstringOptional

The associated project project.

Responses
200

A successful response.

application/json

RepositoryList is a collection of Repositories.

get/api/v1/agents/{agentIdentifier}/repositories
GET /api/v1/agents/{agentIdentifier}/repositories HTTP/1.1
Accept: */*
{
  "metadata": {
    "selfLink": "text",
    "resourceVersion": "text",
    "continue": "text",
    "remainingItemCount": "text",
    "shardInfo": {
      "selector": "text"
    }
  },
  "items": [
    {
      "repo": "text",
      "username": "text",
      "password": "text",
      "sshPrivateKey": "text",
      "connectionState": {
        "status": "text",
        "message": "text",
        "attemptedAt": {
          "seconds": "text",
          "nanos": 1
        },
        "attemptedAtTs": "2026-01-01T00:00:00.000Z"
      },
      "insecureIgnoreHostKey": true,
      "insecure": true,
      "enableLfs": true,
      "tlsClientCertData": "text",
      "tlsClientCertKey": "text",
      "type": "text",
      "name": "text",
      "inheritedCreds": true,
      "enableOCI": true,
      "githubAppPrivateKey": "text",
      "githubAppID": "text",
      "githubAppInstallationID": "text",
      "githubAppEnterpriseBaseUrl": "text",
      "proxy": "text",
      "project": "text",
      "connectionType": "text",
      "forceHttpBasicAuth": true,
      "noProxy": "text",
      "useAzureWorkloadIdentity": true,
      "bearerToken": "text",
      "insecureOCIForceHttp": true,
      "depth": "text",
      "webhookManifestCacheWarmDisabled": true,
      "azureServicePrincipalClientId": "text",
      "azureServicePrincipalClientSecret": "text",
      "azureServicePrincipalTenantId": "text",
      "azureActiveDirectoryEndpoint": "text"
    }
  ]
}

CreateRepository creates a new repository configuration

post

CreateRepository creates a new repository configuration.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

identifierstringOptional
repoCredsIdstringOptional
Body
upsertbooleanOptional
credsOnlybooleanOptional
genTypestring · enumOptionalDefault: UNSETPossible values:
refreshIntervalstringOptional

refreshInterval in format 1s, 1m, 1h...

Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

identifierstringOptional
createdAtstring · date-timeOptional
lastModifiedAtstring · date-timeOptional
stalebooleanOptional
repositoryCredentialsIdstringOptional
uuidstringOptional

Kubernetes ObjectMeta.UID of the repository Secret.

subIdstringOptional

Sub-identifier for ConfigMap-extracted entities; empty for Repositories.

agentUuidstringOptional

UID of the parent agent document.

post/api/v1/agents/{agentIdentifier}/repositories
POST /api/v1/agents/{agentIdentifier}/repositories HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1407

{
  "repo": {
    "repo": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "connectionState": {
      "status": "text",
      "message": "text",
      "attemptedAt": {
        "seconds": "text",
        "nanos": 1
      },
      "attemptedAtTs": "2026-01-01T00:00:00.000Z"
    },
    "insecureIgnoreHostKey": true,
    "insecure": true,
    "enableLfs": true,
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "type": "text",
    "name": "text",
    "inheritedCreds": true,
    "enableOCI": true,
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "proxy": "text",
    "project": "text",
    "connectionType": "text",
    "forceHttpBasicAuth": true,
    "noProxy": "text",
    "useAzureWorkloadIdentity": true,
    "bearerToken": "text",
    "insecureOCIForceHttp": true,
    "depth": "text",
    "webhookManifestCacheWarmDisabled": true,
    "azureServicePrincipalClientId": "text",
    "azureServicePrincipalClientSecret": "text",
    "azureServicePrincipalTenantId": "text",
    "azureActiveDirectoryEndpoint": "text"
  },
  "upsert": true,
  "credsOnly": true,
  "genType": "UNSET",
  "ecrGen": {
    "region": "text",
    "secretRef": {
      "awsAccessKeyID": "text",
      "awsSecretAccessKey": "text",
      "awsSessionToken": "text"
    },
    "jwtAuth": {
      "name": "text",
      "namespace": "text",
      "audiences": [
        "text"
      ]
    },
    "role": "text"
  },
  "gcrGen": {
    "projectID": "text",
    "accessKey": "text",
    "workloadIdentity": {
      "serviceAccountRef": {
        "name": "text",
        "namespace": "text",
        "audiences": [
          "text"
        ]
      },
      "clusterLocation": "text",
      "clusterName": "text",
      "clusterProjectID": "text"
    }
  },
  "refreshInterval": "text"
}
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "identifier": "text",
  "repository": {
    "repo": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "connectionState": {
      "status": "text",
      "message": "text",
      "attemptedAt": {
        "seconds": "text",
        "nanos": 1
      },
      "attemptedAtTs": "2026-01-01T00:00:00.000Z"
    },
    "insecureIgnoreHostKey": true,
    "insecure": true,
    "enableLfs": true,
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "type": "text",
    "name": "text",
    "inheritedCreds": true,
    "enableOCI": true,
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "proxy": "text",
    "project": "text",
    "connectionType": "text",
    "forceHttpBasicAuth": true,
    "noProxy": "text",
    "useAzureWorkloadIdentity": true,
    "bearerToken": "text",
    "insecureOCIForceHttp": true,
    "depth": "text",
    "webhookManifestCacheWarmDisabled": true,
    "azureServicePrincipalClientId": "text",
    "azureServicePrincipalClientSecret": "text",
    "azureServicePrincipalTenantId": "text",
    "azureActiveDirectoryEndpoint": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "stale": true,
  "repositoryCredentialsId": "text",
  "uuid": "text",
  "subId": "text",
  "agentUuid": "text"
}

Checks whether External Secrets Operator is installed

get

CheckExternalSecretsOperator Checks whether External Secrets Operator is installed or not

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

A successful response.

application/json
esoPresentbooleanOptional
get/api/v1/agents/{agentIdentifier}/repositories/eso/check
GET /api/v1/agents/{agentIdentifier}/repositories/eso/check HTTP/1.1
Accept: */*
{
  "esoPresent": true
}

Returns a list of ESO generators installed in agent namespace.

get

Returns a list of ESO generators installed in agent namespace.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

typestring · enumOptionalDefault: UNSETPossible values:
namestringOptional
urlstringOptional
Responses
200

A successful response.

application/json
typestring · enumOptionalDefault: UNSETPossible values:
get/api/v1/agents/{agentIdentifier}/repositories/eso/generators
GET /api/v1/agents/{agentIdentifier}/repositories/eso/generators HTTP/1.1
Accept: */*
{
  "type": "UNSET",
  "ecrGen": {
    "region": "text",
    "secretRef": {
      "awsAccessKeyID": "text",
      "awsSecretAccessKey": "text",
      "awsSessionToken": "text"
    },
    "jwtAuth": {
      "name": "text",
      "namespace": "text",
      "audiences": [
        "text"
      ]
    },
    "role": "text"
  },
  "gcrGen": {
    "projectID": "text",
    "accessKey": "text",
    "workloadIdentity": {
      "serviceAccountRef": {
        "name": "text",
        "namespace": "text",
        "audiences": [
          "text"
        ]
      },
      "clusterLocation": "text",
      "clusterName": "text",
      "clusterProjectID": "text"
    }
  }
}

Returns the Repository type of OCI repo

post

CheckOCIRepoType Returns the Repository type of OCI repo

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
repoURLstringOptional

OCI Repository URL.

Responses
200

A successful response.

application/json
ociRepoTypestring · enumOptionalDefault: UNSETPossible values:
post/api/v1/agents/{agentIdentifier}/repositories/oci/type
POST /api/v1/agents/{agentIdentifier}/repositories/oci/type HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "repoURL": "text"
}
{
  "ociRepoType": "UNSET"
}

ValidateAccess gets connection state for a repository

post

ValidateAccess gets connection state for a repository.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

identifierstringOptional
Body
repostringOptional
usernamestringOptional
passwordstringOptional
sshPrivateKeystringOptional
insecurebooleanOptional
tlsClientCertDatastringOptional
tlsClientCertKeystringOptional
typestringOptional
namestringOptional
enableOcibooleanOptional
githubAppPrivateKeystringOptional
githubAppIDstring · int64Optional
githubAppInstallationIDstring · int64Optional
githubAppEnterpriseBaseUrlstringOptional
proxystringOptional
projectstringOptional
connectionTypestringOptional
Responses
200

A successful response.

application/json
statusstringOptional
messagestringOptional
attemptedAtTsstring · date-timeOptional
post/api/v1/agents/{agentIdentifier}/repositories/validate
POST /api/v1/agents/{agentIdentifier}/repositories/validate HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 395

{
  "repo": "text",
  "username": "text",
  "password": "text",
  "sshPrivateKey": "text",
  "insecure": true,
  "tlsClientCertData": "text",
  "tlsClientCertKey": "text",
  "type": "text",
  "name": "text",
  "enableOci": true,
  "githubAppPrivateKey": "text",
  "githubAppID": "text",
  "githubAppInstallationID": "text",
  "githubAppEnterpriseBaseUrl": "text",
  "proxy": "text",
  "project": "text",
  "connectionType": "text",
  "updateMask": {
    "paths": [
      "text"
    ]
  }
}
{
  "status": "text",
  "message": "text",
  "attemptedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "attemptedAtTs": "2026-01-01T00:00:00.000Z"
}

Get returns a repository or its credentials

get

Get returns a repository or its credentials.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

query.repostringOptional

Repo URL for query.

query.forceRefreshbooleanOptional

Whether to force a cache refresh on repo's connection state.

query.projectstringOptional

The associated project project.

Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

identifierstringOptional
createdAtstring · date-timeOptional
lastModifiedAtstring · date-timeOptional
stalebooleanOptional
repositoryCredentialsIdstringOptional
uuidstringOptional

Kubernetes ObjectMeta.UID of the repository Secret.

subIdstringOptional

Sub-identifier for ConfigMap-extracted entities; empty for Repositories.

agentUuidstringOptional

UID of the parent agent document.

get/api/v1/agents/{agentIdentifier}/repositories/{identifier}
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier} HTTP/1.1
Accept: */*
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "identifier": "text",
  "repository": {
    "repo": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "connectionState": {
      "status": "text",
      "message": "text",
      "attemptedAt": {
        "seconds": "text",
        "nanos": 1
      },
      "attemptedAtTs": "2026-01-01T00:00:00.000Z"
    },
    "insecureIgnoreHostKey": true,
    "insecure": true,
    "enableLfs": true,
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "type": "text",
    "name": "text",
    "inheritedCreds": true,
    "enableOCI": true,
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "proxy": "text",
    "project": "text",
    "connectionType": "text",
    "forceHttpBasicAuth": true,
    "noProxy": "text",
    "useAzureWorkloadIdentity": true,
    "bearerToken": "text",
    "insecureOCIForceHttp": true,
    "depth": "text",
    "webhookManifestCacheWarmDisabled": true,
    "azureServicePrincipalClientId": "text",
    "azureServicePrincipalClientSecret": "text",
    "azureServicePrincipalTenantId": "text",
    "azureActiveDirectoryEndpoint": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "stale": true,
  "repositoryCredentialsId": "text",
  "uuid": "text",
  "subId": "text",
  "agentUuid": "text"
}

UpdateRepository updates a repository configuration

put

UpdateRepository updates a repository configuration.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
genTypestring · enumOptionalDefault: UNSETPossible values:
refreshIntervalstringOptional

refreshInterval in format 1s, 1m, 1h...

Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

identifierstringOptional
createdAtstring · date-timeOptional
lastModifiedAtstring · date-timeOptional
stalebooleanOptional
repositoryCredentialsIdstringOptional
uuidstringOptional

Kubernetes ObjectMeta.UID of the repository Secret.

subIdstringOptional

Sub-identifier for ConfigMap-extracted entities; empty for Repositories.

agentUuidstringOptional

UID of the parent agent document.

put/api/v1/agents/{agentIdentifier}/repositories/{identifier}
PUT /api/v1/agents/{agentIdentifier}/repositories/{identifier} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1408

{
  "repo": {
    "repo": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "connectionState": {
      "status": "text",
      "message": "text",
      "attemptedAt": {
        "seconds": "text",
        "nanos": 1
      },
      "attemptedAtTs": "2026-01-01T00:00:00.000Z"
    },
    "insecureIgnoreHostKey": true,
    "insecure": true,
    "enableLfs": true,
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "type": "text",
    "name": "text",
    "inheritedCreds": true,
    "enableOCI": true,
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "proxy": "text",
    "project": "text",
    "connectionType": "text",
    "forceHttpBasicAuth": true,
    "noProxy": "text",
    "useAzureWorkloadIdentity": true,
    "bearerToken": "text",
    "insecureOCIForceHttp": true,
    "depth": "text",
    "webhookManifestCacheWarmDisabled": true,
    "azureServicePrincipalClientId": "text",
    "azureServicePrincipalClientSecret": "text",
    "azureServicePrincipalTenantId": "text",
    "azureActiveDirectoryEndpoint": "text"
  },
  "updateMask": {
    "paths": [
      "text"
    ]
  },
  "genType": "UNSET",
  "ecrGen": {
    "region": "text",
    "secretRef": {
      "awsAccessKeyID": "text",
      "awsSecretAccessKey": "text",
      "awsSessionToken": "text"
    },
    "jwtAuth": {
      "name": "text",
      "namespace": "text",
      "audiences": [
        "text"
      ]
    },
    "role": "text"
  },
  "gcrGen": {
    "projectID": "text",
    "accessKey": "text",
    "workloadIdentity": {
      "serviceAccountRef": {
        "name": "text",
        "namespace": "text",
        "audiences": [
          "text"
        ]
      },
      "clusterLocation": "text",
      "clusterName": "text",
      "clusterProjectID": "text"
    }
  },
  "refreshInterval": "text"
}
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "identifier": "text",
  "repository": {
    "repo": "text",
    "username": "text",
    "password": "text",
    "sshPrivateKey": "text",
    "connectionState": {
      "status": "text",
      "message": "text",
      "attemptedAt": {
        "seconds": "text",
        "nanos": 1
      },
      "attemptedAtTs": "2026-01-01T00:00:00.000Z"
    },
    "insecureIgnoreHostKey": true,
    "insecure": true,
    "enableLfs": true,
    "tlsClientCertData": "text",
    "tlsClientCertKey": "text",
    "type": "text",
    "name": "text",
    "inheritedCreds": true,
    "enableOCI": true,
    "githubAppPrivateKey": "text",
    "githubAppID": "text",
    "githubAppInstallationID": "text",
    "githubAppEnterpriseBaseUrl": "text",
    "proxy": "text",
    "project": "text",
    "connectionType": "text",
    "forceHttpBasicAuth": true,
    "noProxy": "text",
    "useAzureWorkloadIdentity": true,
    "bearerToken": "text",
    "insecureOCIForceHttp": true,
    "depth": "text",
    "webhookManifestCacheWarmDisabled": true,
    "azureServicePrincipalClientId": "text",
    "azureServicePrincipalClientSecret": "text",
    "azureServicePrincipalTenantId": "text",
    "azureActiveDirectoryEndpoint": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "stale": true,
  "repositoryCredentialsId": "text",
  "uuid": "text",
  "subId": "text",
  "agentUuid": "text"
}

DeleteRepository deletes a repository from the configuration

delete

DeleteRepository deletes a repository from the configuration.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

query.repostringOptional

Repo URL for query.

query.forceRefreshbooleanOptional

Whether to force a cache refresh on repo's connection state.

query.projectstringOptional

The associated project project.

forceDeletebooleanOptional
Responses
200

A successful response.

application/json
object · repositoriesRepoResponseOptional
delete/api/v1/agents/{agentIdentifier}/repositories/{identifier}
DELETE /api/v1/agents/{agentIdentifier}/repositories/{identifier} HTTP/1.1
Accept: */*
{}

GetAppDetails returns application details by given path

get

GetAppDetails returns application details by given path.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

query.source.repoURLstringOptional

RepoURL is the URL to the repository (Git or Helm) that contains the application manifests.

query.source.pathstringOptional

Path is a directory path within the Git repository, and is only valid for applications sourced from Git.

query.source.targetRevisionstringOptional

TargetRevision defines the revision of the source to sync the application to. In case of Git, this can be commit, tag, or branch. If omitted, will equal to HEAD. In case of Helm, this is a semver tag for the Chart's version.

query.source.helm.valueFilesstring[]Optional

ValuesFiles is a list of Helm value files to use when generating a template.

query.source.helm.releaseNamestringOptional

ReleaseName is the Helm release name to use. If omitted it will use the application name.

query.source.helm.valuesstringOptional

Values specifies Helm values to be passed to helm template, typically defined as a block.

query.source.helm.versionstringOptional

Version is the Helm version to use for templating (either "2" or "3").

query.source.helm.passCredentialsbooleanOptional

PassCredentials pass credentials to all domains (Helm's --pass-credentials).

query.source.helm.ignoreMissingValueFilesbooleanOptional

IgnoreMissingValueFiles prevents helm template from failing when valueFiles do not exist locally by not appending them to helm template --values.

query.source.helm.skipCrdsbooleanOptional

SkipCrds skips custom resource definition installation step (Helm's --skip-crds).

query.source.helm.namespacestringOptional

Namespace is an optional namespace to template with. If left empty, defaults to the app's destination namespace.

query.source.helm.kubeVersionstringOptional

KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD uses the Kubernetes version of the target cluster.

query.source.helm.apiVersionsstring[]Optional

APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default, Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.

query.source.helm.skipTestsbooleanOptional

SkipTests skips test manifest installation step (Helm's --skip-tests).

query.source.helm.skipSchemaValidationbooleanOptional

SkipSchemaValidation skips JSON schema validation (Helm's --skip-schema-validation).

query.source.kustomize.namePrefixstringOptional

NamePrefix overrides the namePrefix in the kustomization.yaml for Kustomize apps.

query.source.kustomize.nameSuffixstringOptional

NameSuffix overrides the nameSuffix in the kustomization.yaml for Kustomize apps.

query.source.kustomize.imagesstring[]Optional

Images is a list of Kustomize image override specifications.

query.source.kustomize.versionstringOptional

Version controls which version of Kustomize to use for rendering manifests.

query.source.kustomize.forceCommonLabelsbooleanOptional

ForceCommonLabels specifies whether to force applying common labels to resources for Kustomize apps.

query.source.kustomize.forceCommonAnnotationsbooleanOptional

ForceCommonAnnotations specifies whether to force applying common annotations to resources for Kustomize apps.

query.source.kustomize.namespacestringOptional

Namespace sets the namespace that Kustomize adds to all resources.

query.source.kustomize.commonAnnotationsEnvsubstbooleanOptional

CommonAnnotationsEnvsubst specifies whether to apply env variables substitution for annotation values.

query.source.kustomize.componentsstring[]Optional

Components specifies a list of kustomize components to add to the kustomization before building.

query.source.kustomize.labelWithoutSelectorbooleanOptional

LabelWithoutSelector specifies whether to apply common labels to resource selectors or not.

query.source.kustomize.kubeVersionstringOptional

KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD uses the Kubernetes version of the target cluster.

query.source.kustomize.apiVersionsstring[]Optional

APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default, Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.

query.source.kustomize.ignoreMissingComponentsbooleanOptional

IgnoreMissingComponents prevents kustomize from failing when components do not exist locally by not appending them to kustomization file.

query.source.kustomize.labelIncludeTemplatesbooleanOptional

LabelIncludeTemplates specifies whether to apply common labels to resource templates or not.

query.source.ksonnet.environmentstringOptional

Environment is a ksonnet application environment name.

query.source.directory.recursebooleanOptional

Recurse specifies whether to scan a directory recursively for manifests.

query.source.directory.jsonnet.libsstring[]Optional

Additional library search dirs.

query.source.directory.excludestringOptional

Exclude contains a glob pattern to match paths against that should be explicitly excluded from being used during manifest generation.

query.source.directory.includestringOptional

Include contains a glob pattern to match paths against that should be explicitly included during manifest generation.

query.source.plugin.namestringOptional
query.source.chartstringOptional

Chart is a Helm chart name, and must be specified for applications sourced from a Helm repo.

query.source.refstringOptional

Ref is reference to another source within sources field. This field will not be used if used with a source tag.

query.source.namestringOptional

Name is used to refer to a source and is displayed in the UI. It is used in multi-source Applications.

query.source.tagPrefixstringOptional

TagPrefix filters git tags to only those with this prefix before evaluating targetRevision as a semver constraint. The prefix is stripped from tag names before comparison and re-added to the resolved version. For example, with tagPrefix "component-b/" and targetRevision "1.0.*", tags like "component-b/1.0.0" and "component-b/1.0.1" are candidates, and the constraint resolves to "component-b/1.0.1".

query.appNamestringOptional
query.appProjectstringOptional
query.sourceIndexinteger · int32Optional

source index (for multi source apps).

query.versionIdinteger · int32Optional

versionId from historical data (for multi source apps).

Responses
200

A successful response.

application/json
typestringOptional
directoryobject · DirectoryAppSpec contains directoryOptional
get/api/v1/agents/{agentIdentifier}/repositories/{identifier}/appdetails
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier}/appdetails HTTP/1.1
Accept: */*
{
  "type": "text",
  "ksonnet": {
    "name": "text",
    "environments": {
      "ANY_ADDITIONAL_PROPERTY": {
        "name": "text",
        "k8sVersion": "text",
        "destination": {
          "server": "text",
          "namespace": "text"
        }
      }
    },
    "parameters": [
      {
        "component": "text",
        "name": "text",
        "value": "text"
      }
    ]
  },
  "helm": {
    "name": "text",
    "valueFiles": [
      "text"
    ],
    "parameters": [
      {
        "name": "text",
        "value": "text",
        "forceString": true
      }
    ],
    "values": "text",
    "fileParameters": [
      {
        "name": "text",
        "path": "text"
      }
    ]
  },
  "kustomize": {
    "images": [
      "text"
    ]
  },
  "directory": {}
}

ListApps returns list of apps in the repo

get

ListApps returns list of apps in the repo.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

query.repostringOptional
query.revisionstringOptional
query.appNamestringOptional
query.appProjectstringOptional
Responses
200

A successful response.

application/json
get/api/v1/agents/{agentIdentifier}/repositories/{identifier}/apps
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier}/apps HTTP/1.1
Accept: */*
{
  "items": [
    {
      "type": "text",
      "path": "text"
    }
  ]
}

GetHelmCharts returns list of helm charts in the specified repository

get

GetHelmCharts returns list of helm charts in the specified repository.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

query.repostringOptional

Repo URL for query.

query.forceRefreshbooleanOptional

Whether to force a cache refresh on repo's connection state.

query.projectstringOptional

The associated project project.

Responses
200

A successful response.

application/json
get/api/v1/agents/{agentIdentifier}/repositories/{identifier}/helmcharts
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier}/helmcharts HTTP/1.1
Accept: */*
{
  "items": [
    {
      "name": "text",
      "versions": [
        "text"
      ]
    }
  ]
}

Returns a list of refs (e.g. branches and tags) in the repo

get

Returns a list of refs (e.g. branches and tags) in the repo.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

query.repostringOptional

Repo URL for query.

query.forceRefreshbooleanOptional

Whether to force a cache refresh on repo's connection state.

query.projectstringOptional

The associated project project.

Responses
200

A successful response.

application/json
branchesstring[]Optional
tagsstring[]Optional
get/api/v1/agents/{agentIdentifier}/repositories/{identifier}/refs
GET /api/v1/agents/{agentIdentifier}/repositories/{identifier}/refs HTTP/1.1
Accept: */*
{
  "branches": [
    "text"
  ],
  "tags": [
    "text"
  ]
}

GetAppDetailsByUrl returns application details by given path for repositories by URL

get

GetAppDetails returns application details by given path.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

identifierstringOptional
query.source.repoURLstringOptional

RepoURL is the URL to the repository (Git or Helm) that contains the application manifests.

query.source.pathstringOptional

Path is a directory path within the Git repository, and is only valid for applications sourced from Git.

query.source.targetRevisionstringOptional

TargetRevision defines the revision of the source to sync the application to. In case of Git, this can be commit, tag, or branch. If omitted, will equal to HEAD. In case of Helm, this is a semver tag for the Chart's version.

query.source.helm.valueFilesstring[]Optional

ValuesFiles is a list of Helm value files to use when generating a template.

query.source.helm.releaseNamestringOptional

ReleaseName is the Helm release name to use. If omitted it will use the application name.

query.source.helm.valuesstringOptional

Values specifies Helm values to be passed to helm template, typically defined as a block.

query.source.helm.versionstringOptional

Version is the Helm version to use for templating (either "2" or "3").

query.source.helm.passCredentialsbooleanOptional

PassCredentials pass credentials to all domains (Helm's --pass-credentials).

query.source.helm.ignoreMissingValueFilesbooleanOptional

IgnoreMissingValueFiles prevents helm template from failing when valueFiles do not exist locally by not appending them to helm template --values.

query.source.helm.skipCrdsbooleanOptional

SkipCrds skips custom resource definition installation step (Helm's --skip-crds).

query.source.helm.namespacestringOptional

Namespace is an optional namespace to template with. If left empty, defaults to the app's destination namespace.

query.source.helm.kubeVersionstringOptional

KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD uses the Kubernetes version of the target cluster.

query.source.helm.apiVersionsstring[]Optional

APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default, Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.

query.source.helm.skipTestsbooleanOptional

SkipTests skips test manifest installation step (Helm's --skip-tests).

query.source.helm.skipSchemaValidationbooleanOptional

SkipSchemaValidation skips JSON schema validation (Helm's --skip-schema-validation).

query.source.kustomize.namePrefixstringOptional

NamePrefix overrides the namePrefix in the kustomization.yaml for Kustomize apps.

query.source.kustomize.nameSuffixstringOptional

NameSuffix overrides the nameSuffix in the kustomization.yaml for Kustomize apps.

query.source.kustomize.imagesstring[]Optional

Images is a list of Kustomize image override specifications.

query.source.kustomize.versionstringOptional

Version controls which version of Kustomize to use for rendering manifests.

query.source.kustomize.forceCommonLabelsbooleanOptional

ForceCommonLabels specifies whether to force applying common labels to resources for Kustomize apps.

query.source.kustomize.forceCommonAnnotationsbooleanOptional

ForceCommonAnnotations specifies whether to force applying common annotations to resources for Kustomize apps.

query.source.kustomize.namespacestringOptional

Namespace sets the namespace that Kustomize adds to all resources.

query.source.kustomize.commonAnnotationsEnvsubstbooleanOptional

CommonAnnotationsEnvsubst specifies whether to apply env variables substitution for annotation values.

query.source.kustomize.componentsstring[]Optional

Components specifies a list of kustomize components to add to the kustomization before building.

query.source.kustomize.labelWithoutSelectorbooleanOptional

LabelWithoutSelector specifies whether to apply common labels to resource selectors or not.

query.source.kustomize.kubeVersionstringOptional

KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD uses the Kubernetes version of the target cluster.

query.source.kustomize.apiVersionsstring[]Optional

APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default, Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.

query.source.kustomize.ignoreMissingComponentsbooleanOptional

IgnoreMissingComponents prevents kustomize from failing when components do not exist locally by not appending them to kustomization file.

query.source.kustomize.labelIncludeTemplatesbooleanOptional

LabelIncludeTemplates specifies whether to apply common labels to resource templates or not.

query.source.ksonnet.environmentstringOptional

Environment is a ksonnet application environment name.

query.source.directory.recursebooleanOptional

Recurse specifies whether to scan a directory recursively for manifests.

query.source.directory.jsonnet.libsstring[]Optional

Additional library search dirs.

query.source.directory.excludestringOptional

Exclude contains a glob pattern to match paths against that should be explicitly excluded from being used during manifest generation.

query.source.directory.includestringOptional

Include contains a glob pattern to match paths against that should be explicitly included during manifest generation.

query.source.plugin.namestringOptional
query.source.chartstringOptional

Chart is a Helm chart name, and must be specified for applications sourced from a Helm repo.

query.source.refstringOptional

Ref is reference to another source within sources field. This field will not be used if used with a source tag.

query.source.namestringOptional

Name is used to refer to a source and is displayed in the UI. It is used in multi-source Applications.

query.source.tagPrefixstringOptional

TagPrefix filters git tags to only those with this prefix before evaluating targetRevision as a semver constraint. The prefix is stripped from tag names before comparison and re-added to the resolved version. For example, with tagPrefix "component-b/" and targetRevision "1.0.*", tags like "component-b/1.0.0" and "component-b/1.0.1" are candidates, and the constraint resolves to "component-b/1.0.1".

query.appNamestringOptional
query.appProjectstringOptional
query.sourceIndexinteger · int32Optional

source index (for multi source apps).

query.versionIdinteger · int32Optional

versionId from historical data (for multi source apps).

Responses
200

A successful response.

application/json
typestringOptional
directoryobject · DirectoryAppSpec contains directoryOptional
get/api/v1/agents/{agentIdentifier}/repositories_byurl/appdetails
GET /api/v1/agents/{agentIdentifier}/repositories_byurl/appdetails HTTP/1.1
Accept: */*
{
  "type": "text",
  "ksonnet": {
    "name": "text",
    "environments": {
      "ANY_ADDITIONAL_PROPERTY": {
        "name": "text",
        "k8sVersion": "text",
        "destination": {
          "server": "text",
          "namespace": "text"
        }
      }
    },
    "parameters": [
      {
        "component": "text",
        "name": "text",
        "value": "text"
      }
    ]
  },
  "helm": {
    "name": "text",
    "valueFiles": [
      "text"
    ],
    "parameters": [
      {
        "name": "text",
        "value": "text",
        "forceString": true
      }
    ],
    "values": "text",
    "fileParameters": [
      {
        "name": "text",
        "path": "text"
      }
    ]
  },
  "kustomize": {
    "images": [
      "text"
    ]
  },
  "directory": {}
}

ListAppsByUrl returns list of apps in the repo

get

ListApps returns list of apps in the repo.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

identifierstringOptional
query.repostringOptional
query.revisionstringOptional
query.appNamestringOptional
query.appProjectstringOptional
Responses
200

A successful response.

application/json
get/api/v1/agents/{agentIdentifier}/repositories_byurl/apps
GET /api/v1/agents/{agentIdentifier}/repositories_byurl/apps HTTP/1.1
Accept: */*
{
  "items": [
    {
      "type": "text",
      "path": "text"
    }
  ]
}

GetHelmChartsByUrl returns list of helm charts in the repository by URL

get

GetHelmCharts returns list of helm charts in the specified repository.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

identifierstringOptional
query.repostringOptional

Repo URL for query.

query.forceRefreshbooleanOptional

Whether to force a cache refresh on repo's connection state.

query.projectstringOptional

The associated project project.

Responses
200

A successful response.

application/json
get/api/v1/agents/{agentIdentifier}/repositories_byurl/helmcharts
GET /api/v1/agents/{agentIdentifier}/repositories_byurl/helmcharts HTTP/1.1
Accept: */*
{
  "items": [
    {
      "name": "text",
      "versions": [
        "text"
      ]
    }
  ]
}

Returns a list of refs (e.g. branches and tags) in the repo by URL

get

Returns a list of refs (e.g. branches and tags) in the repo.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

identifierstringOptional
query.repostringOptional

Repo URL for query.

query.forceRefreshbooleanOptional

Whether to force a cache refresh on repo's connection state.

query.projectstringOptional

The associated project project.

Responses
200

A successful response.

application/json
branchesstring[]Optional
tagsstring[]Optional
get/api/v1/agents/{agentIdentifier}/repositories_byurl/refs
GET /api/v1/agents/{agentIdentifier}/repositories_byurl/refs HTTP/1.1
Accept: */*
{
  "branches": [
    "text"
  ],
  "tags": [
    "text"
  ]
}

Get a repository configured in gitops by URL from Harness

get

Returns a repository by URL

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Agent.

orgIdentifierstringOptional

Organization Identifier for the Agent.

projectIdentifierstringOptional

Project Identifier for the Agent.

urlstring[]Optional

URL by which to find the repository entity managed by agent.

fetchScopePrefixedIdentifierbooleanOptional

Indicates whether the identifier of repo fetched must contain the harness scope prefix such (account./org.)

Responses
200

A successful response.

application/json
get/api/v1/agents/{agentIdentifier}/repository_byurl
GET /api/v1/agents/{agentIdentifier}/repository_byurl HTTP/1.1
Accept: */*
{
  "repository": [
    {
      "accountIdentifier": "text",
      "orgIdentifier": "text",
      "projectIdentifier": "text",
      "agentIdentifier": "text",
      "identifier": "text",
      "repository": {
        "repo": "text",
        "username": "text",
        "password": "text",
        "sshPrivateKey": "text",
        "connectionState": {
          "status": "text",
          "message": "text",
          "attemptedAt": {
            "seconds": "text",
            "nanos": 1
          },
          "attemptedAtTs": "2026-01-01T00:00:00.000Z"
        },
        "insecureIgnoreHostKey": true,
        "insecure": true,
        "enableLfs": true,
        "tlsClientCertData": "text",
        "tlsClientCertKey": "text",
        "type": "text",
        "name": "text",
        "inheritedCreds": true,
        "enableOCI": true,
        "githubAppPrivateKey": "text",
        "githubAppID": "text",
        "githubAppInstallationID": "text",
        "githubAppEnterpriseBaseUrl": "text",
        "proxy": "text",
        "project": "text",
        "connectionType": "text",
        "forceHttpBasicAuth": true,
        "noProxy": "text",
        "useAzureWorkloadIdentity": true,
        "bearerToken": "text",
        "insecureOCIForceHttp": true,
        "depth": "text",
        "webhookManifestCacheWarmDisabled": true,
        "azureServicePrincipalClientId": "text",
        "azureServicePrincipalClientSecret": "text",
        "azureServicePrincipalTenantId": "text",
        "azureActiveDirectoryEndpoint": "text"
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "stale": true,
      "repositoryCredentialsId": "text",
      "uuid": "text",
      "subId": "text",
      "agentUuid": "text"
    }
  ]
}

List Repositories by repository credential template

get

ListRepositoriesByRepositoryCredentialTemplate lists Repositories by repositories credential template

Query parameters
repositoryCredentialURLstringOptional
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
Responses
200

A successful response.

application/json
totalPagesinteger · int32Optional
totalItemsinteger · int32Optional
pageItemCountinteger · int32Optional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
emptybooleanOptional
get/api/v1/repositories
GET /api/v1/repositories HTTP/1.1
Accept: */*
{
  "content": [
    {
      "accountIdentifier": "text",
      "orgIdentifier": "text",
      "projectIdentifier": "text",
      "agentIdentifier": "text",
      "identifier": "text",
      "repository": {
        "repo": "text",
        "username": "text",
        "password": "text",
        "sshPrivateKey": "text",
        "connectionState": {
          "status": "text",
          "message": "text",
          "attemptedAt": {
            "seconds": "text",
            "nanos": 1
          },
          "attemptedAtTs": "2026-01-01T00:00:00.000Z"
        },
        "insecureIgnoreHostKey": true,
        "insecure": true,
        "enableLfs": true,
        "tlsClientCertData": "text",
        "tlsClientCertKey": "text",
        "type": "text",
        "name": "text",
        "inheritedCreds": true,
        "enableOCI": true,
        "githubAppPrivateKey": "text",
        "githubAppID": "text",
        "githubAppInstallationID": "text",
        "githubAppEnterpriseBaseUrl": "text",
        "proxy": "text",
        "project": "text",
        "connectionType": "text",
        "forceHttpBasicAuth": true,
        "noProxy": "text",
        "useAzureWorkloadIdentity": true,
        "bearerToken": "text",
        "insecureOCIForceHttp": true,
        "depth": "text",
        "webhookManifestCacheWarmDisabled": true,
        "azureServicePrincipalClientId": "text",
        "azureServicePrincipalClientSecret": "text",
        "azureServicePrincipalTenantId": "text",
        "azureActiveDirectoryEndpoint": "text"
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "stale": true,
      "repositoryCredentialsId": "text",
      "uuid": "text",
      "subId": "text",
      "agentUuid": "text"
    }
  ],
  "totalPages": 1,
  "totalItems": 1,
  "pageItemCount": 1,
  "pageSize": 1,
  "pageIndex": 1,
  "empty": true
}

List repositories

post

ListRepositories retrieves a list of all configured repositories.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
filterobjectOptional

Filters for Repositories. Eg. "identifier": { "$in": ["id1", "id2"]

sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
inheritedCredsbooleanOptional
includeChildScopesbooleanOptional
Responses
200

A successful response.

application/json
totalPagesinteger · int32Optional
totalItemsinteger · int32Optional
pageItemCountinteger · int32Optional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
emptybooleanOptional
post/api/v1/repositories
POST /api/v1/repositories HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 270

{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "agentIdentifier": "text",
  "searchTerm": "text",
  "pageSize": 1,
  "pageIndex": 1,
  "filter": {},
  "sortBy": "SORT_BY_NOT_SET",
  "sortOrder": "SORT_ORDER_NOT_SET",
  "inheritedCreds": true,
  "includeChildScopes": true
}
{
  "content": [
    {
      "accountIdentifier": "text",
      "orgIdentifier": "text",
      "projectIdentifier": "text",
      "agentIdentifier": "text",
      "identifier": "text",
      "repository": {
        "repo": "text",
        "username": "text",
        "password": "text",
        "sshPrivateKey": "text",
        "connectionState": {
          "status": "text",
          "message": "text",
          "attemptedAt": {
            "seconds": "text",
            "nanos": 1
          },
          "attemptedAtTs": "2026-01-01T00:00:00.000Z"
        },
        "insecureIgnoreHostKey": true,
        "insecure": true,
        "enableLfs": true,
        "tlsClientCertData": "text",
        "tlsClientCertKey": "text",
        "type": "text",
        "name": "text",
        "inheritedCreds": true,
        "enableOCI": true,
        "githubAppPrivateKey": "text",
        "githubAppID": "text",
        "githubAppInstallationID": "text",
        "githubAppEnterpriseBaseUrl": "text",
        "proxy": "text",
        "project": "text",
        "connectionType": "text",
        "forceHttpBasicAuth": true,
        "noProxy": "text",
        "useAzureWorkloadIdentity": true,
        "bearerToken": "text",
        "insecureOCIForceHttp": true,
        "depth": "text",
        "webhookManifestCacheWarmDisabled": true,
        "azureServicePrincipalClientId": "text",
        "azureServicePrincipalClientSecret": "text",
        "azureServicePrincipalTenantId": "text",
        "azureActiveDirectoryEndpoint": "text"
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "stale": true,
      "repositoryCredentialsId": "text",
      "uuid": "text",
      "subId": "text",
      "agentUuid": "text"
    }
  ],
  "totalPages": 1,
  "totalItems": 1,
  "pageItemCount": 1,
  "pageSize": 1,
  "pageIndex": 1,
  "empty": true
}

Check if a repository exists

get

Exists checks whether a repository with the given URL exists.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

urlstringOptional
Responses
200

A successful response.

application/json
booleanOptional
get/api/v1/repositories/exists
GET /api/v1/repositories/exists HTTP/1.1
Accept: */*
true

Last updated

Was this helpful?